#!/bin/bash
# (c) wiimm (at) wiimm.de -- 2013-08-21

T_NO="no"
T_YES="yes"

T_LANGUAGE_INFO="\nSetup the language for messages only.\n"
T_LANGUAGE="Language"

T_MSGLANG_INFO=$( cat <<- __EOT__

	Setup the language for game messages. English and German are available.
	This setting will define which of both languages will be used for the
	other unsupported languages. If you select 'en+' or 'de+', then all
	messages of all languages will be overwritten by the selected language.\n
	__EOT__
)
T_MSGLANG="Gaming language"

T_ISOMODE_INFO="\nDefine the file format of the new image.\n"
T_ISOMODE="Image file format"
T_ISOMODE_RIIV1=$( cat <<- __EOT__

	Instead of creating an image Riivolution output is also possible. If using
	the keyword 'riiv' then a Riivolution directory is created as template for
	a SD-Card. This variant needs also an original image disc to create and
	patch the files.\n
	__EOT__
)
T_ISOMODE_RIIV2=$( cat <<- __EOT__

	Instead of creating an image, Riivolution output is also possible. If 
	using one of the keywords 'riiv' or 'riiv-' then a Riivolution directory
	is created as template for a SD-Card.

	The first variant ('riiv') is recommended and needs also an original image
	disc to create and patch the files. The second variant ('riiv-') does not
	need the original image and creates a poor version by copying only the
	tracks and some other stuff without patching messages or images.\n
	__EOT__
)
T_ISOMODE_RIIV3=$( cat <<- __EOT__

	Instead of creating an image Riivolution output is also possible. If using
	the keyword 'riiv' then a Riivolution directory is created as template for
	a SD-Card. This variant does need also an original image disc.
	__EOT__
)

T_SPLITISO_INFO="\nShould output files >4GB divided into several pieces?\n"
T_SPLITISO="Split new images at 4GB"

T_SAVEGAME_INFO=$( cat <<- __EOT__

	Do you want to use a new savegame that is unrelated to the original MKW?
	If saying no, the custom game will share the savegame from Mario Kart Wii.\n
	__EOT__
)
T_PRIV_SAVEGAME="Use private savegame"

T_LOG_LIST_SOURCE="View possible [%s] sources"
T_LOG_RM_WORKDIR="Remove working dir"
T_LOG_EXTRACT_IMAGE="Extract files of source [%s]"
T_LOG_EXTRACT_RIIV="Extract Riiv files of [%s]"
T_LOG_COPY_IMAGE="Copy (hard link) files of source [%s]"
T_LOG_PATCH_FILE="Patch file '%s'"
T_LOG_PATCH="Use patch file '%s'"
T_LOG_PATCH_TRACK=" * Change the order of tracks and/or arenas\n"
T_LOG_PATCH_REGION=" * Set region ID to 0x%02x (=%u)\n"
T_LOG_ADD_IMAGE="Create new image [%s] on all connected WBFS drives"
T_LOG_CREATE_IMAGE="Create new image [%s] -> %s"
T_LOG_DONE_COUNT=">>>>>  %u %s image(s) created  <<<<<"

T_LOG_RIIV_START="Create Riivolution directory '%s'"
T_LOG_RIIV_SETUP=" * Setup\n"
T_LOG_RIIV_TRANSFER=" * Copy patched files\n"
T_LOG_RIIV_CREATE=" * Create '%s'\n"

T_LOG_RIIV_TIMESTAMP="\nSet time stamps of files\n"

